Package: org.slf4j.impl

## [Java] Class StaticMarkerBinder

- org.slf4j.impl.StaticMarkerBinder

- Implementation of the StaticMarkerBinder for slf4j.

  Authors:
    Graeme Rocher
  Since:
    2.0

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `static StaticMarkerBinder` | `SINGLETON` | The unique instance of this class.

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `org.slf4j.IMarkerFactory` | `getMarkerFactory()` Currently this method always returns an instance of org.slf4j.helpers.BasicMarkerFactory.
    `java.lang.String` | `getMarkerFactoryClassStr()` Currently, this method returns the class name of org.slf4j.helpers.BasicMarkerFactory.

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.lang.Object` | `java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Field Detail

    - #### public static final StaticMarkerBinder SINGLETON

      The unique instance of this class.

  - ### Method Detail

    - #### public org.slf4j.IMarkerFactory getMarkerFactory()

      Currently this method always returns an instance of org.slf4j.helpers.BasicMarkerFactory.

    - #### public java.lang.String getMarkerFactoryClassStr()

      Currently, this method returns the class name of org.slf4j.helpers.BasicMarkerFactory.